var require = require;

var cc = cc;

var MemoryMatrixBoardTileModel = cc.Class.extend(
{
    /** @lends MemoryMatrixBoardTileModel.prototype */

    isMarked: false,
    isFlipped: false,
    isRippled: false,

    tileView: null,

    x: 0,
    y: 0,

    /**
     * MemoryMatrix Board Piece
     *
     * @constructs
     */
    ctor: function( x, y, isMarked )
    {
        this.x = x;
        this.y = y;

        this.isMarked = isMarked;
        this.isFlipped = false;
        this.isRippled = false;
    }
});