
varying mediump vec2 v_texCoord;
varying lowp vec4 v_color;

uniform sampler2D CC_Texture0;

void main() {
	vec4 sourceColor = texture2D(CC_Texture0, v_texCoord);


	vec3 tint = sourceColor.x * vec3(0.4745098039215686,0.8941176470588236,1) + sourceColor.z * vec3(0.2,0.2,0.2);

	gl_FragColor = sourceColor.w * vec4(mix(tint, vec3(1.0,1.0,1.0), sourceColor.y + 1.0 - sourceColor.w), sourceColor.w);
}		
