/*global cc*/
/*global require*/

require( "src/Animation/PropertyAnimator.js" );
/*global PropertyAnimator*/

var RotationAnimator;
(function()
{
    "use strict";
    
    RotationAnimator = PropertyAnimator.extend(
    {
        /** @lends RotationAnimator.prototype */
        
        /**
         * An RotationAnimator will animate rotation changes on a node.
         *
         * @constructs
         */
        ctor: function()
        {
            this._super( "RotateTo" );
        },
        
        _setFunction: function( node, value )
        {
            node.setRotation( value );
        }
    });
}() );