/*global cc*/
/*global require*/
/*global GameModel*/

var EbbAndFlowModel;
( function()
{
    "use strict";

    require( "src/Game/Base/GameModel.js" );

    EbbAndFlowModel = GameModel.extend(
    {
        /* Describes the number of times a player swiped in the correct direction. */
        correctTrials: 0,

        /* Number of times player swiped incorrectly. */
        incorrectTrials: 0,
        
        ctor: function()
        {
            this._super();
            this.correctTrials  = 0;
            this.meterValue     = 0;
            this.prevMeterValue = 0;
        },

        exportResults: function()
        {
            var stats = {};
            stats[ this.StatsKeys.CorrectStat ] = this.correctTrials;
            return this._super( stats, this.StatsKeys.CorrectStat );
        }

    });

}());
