/*global require*/
/*global CardinalDirections*/

require( "src/Game/Base/GameSettings.js" );
var GameSettings = GameSettings;

/**
 * The Ebb and Flow settings.
 * @class
 * @name EbbAndFlowSettings
 */
var EbbAndFlowSettings = GameSettings.extend(
{
	responseAccuracyThreshold: 0.30,
    pointingScript: [ CardinalDirections.North, CardinalDirections.East, CardinalDirections.South, CardinalDirections.West ],
    movingScript: [ CardinalDirections.East, CardinalDirections.South, CardinalDirections.West, CardinalDirections.North ],
    modeScript: [ false, false, true, true ], //TODO: Make an enum
    
    /** @lends EbbAndFlowSettings.prototype */
    getMultiplierCount: function()
    {
        return 0;
    }
});
