
varying mediump vec2 v_texCoord;
varying lowp vec4 v_color;

uniform sampler2D CC_Texture0;

void main() {
	vec4 sourceColor = texture2D(CC_Texture0, v_texCoord);


	vec3 tint = sourceColor.x * vec3(0.7686274509803922,0.4549019607843137,0.8549019607843137) + sourceColor.z * vec3(0.027450980392156862,0.4980392156862745,0);

	gl_FragColor = sourceColor.w * vec4(mix(tint, vec3(1.0,1.0,1.0), sourceColor.y + 1.0 - sourceColor.w), sourceColor.w);
}		
